Subject: Re: bug#79124: emacs -Q doesn't give me a clean slate

From: Paul Eggert <[email-masked]>
Date: Wed, 6 Aug 2025 06:50:55 -0700

On 2025-08-06 04:16, Manuel Giraud wrote:

> Which directory does libgccjit create?

/tmp/libgccjit-6kC11F in one test run. (Which belies the misguided 
notion that Emacs must do this stuff in its home directory.)

> Yes of course.  The second part of my idea is that maybe -Q could be a
> shortcut for "-q --no-site-file --no-splash
> --init-directory=$TMPDIR_SOMEWHERE_THAT_WOULD_BE_DELETED_WHEN_QUITTING"

Eli already rejected a solution along those lines, unfortunately.